# Generated by Django 5.0.6 on 2024-07-06 20:00
import django
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0020_rename_synthesis_writtenreview_and_more"),
    ]

    operations = [
        migrations.RenameField(
            model_name="note",
            old_name="defender_oral",
            new_name="reporter_oral",
        ),
        migrations.RenameField(
            model_name="note",
            old_name="defender_writing",
            new_name="reporter_writing",
        ),
        migrations.RenameField(
            model_name="passage",
            old_name="defender",
            new_name="reporter",
        ),
        migrations.RenameField(
            model_name="passage",
            old_name="defender_penalties",
            new_name="reporter_penalties",
        ),
        migrations.AlterField(
            model_name="passage",
            name="solution_number",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (1, "Problem #1"),
                    (2, "Problem #2"),
                    (3, "Problem #3"),
                    (4, "Problem #4"),
                    (5, "Problem #5"),
                    (6, "Problem #6"),
                    (7, "Problem #7"),
                    (8, "Problem #8"),
                    (9, "Problem #9"),
                    (10, "Problem #10"),
                ],
                verbose_name="reported solution",
            ),
        ),
        migrations.AlterField(
            model_name="note",
            name="reporter_oral",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                    (11, 11),
                    (12, 12),
                    (13, 13),
                    (14, 14),
                    (15, 15),
                    (16, 16),
                    (17, 17),
                    (18, 18),
                    (19, 19),
                    (20, 20),
                ],
                default=0,
                verbose_name="reporter oral note",
            ),
        ),
        migrations.AlterField(
            model_name="note",
            name="reporter_writing",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                    (11, 11),
                    (12, 12),
                    (13, 13),
                    (14, 14),
                    (15, 15),
                    (16, 16),
                    (17, 17),
                    (18, 18),
                    (19, 19),
                    (20, 20),
                ],
                default=0,
                verbose_name="reporter writing note",
            ),
        ),
        migrations.AlterField(
            model_name="passage",
            name="reporter",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="participation.participation",
                verbose_name="reporter",
            ),
        ),
        migrations.AlterField(
            model_name="passage",
            name="reporter_penalties",
            field=models.PositiveSmallIntegerField(
                default=0,
                help_text="Number of penalties for the reporter. The reporter will loose a 0.5 coefficient per penalty.",
                verbose_name="penalties",
            ),
        ),
    ]
